Skip to main content
GET
List Deals

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

marketplace
enum<string>
required

Represents a Levanta marketplace (ex: amazon.co.uk, walmart.com, shopify.com). If "all" is specified then the scope is all marketplaces.

Available options:
all,
amazon.com,
amazon.com.mx,
amazon.co.uk,
amazon.ca,
amazon.de,
amazon.es,
amazon.fr,
amazon.it,
amazon.nl,
walmart.com,
shopify.com
brand_ids
string

Comma-delimited list of strings representing an array. Example: 1,2,3 equivalent to [1,2,3]

product_ids
string

Filter deals by the associated products' primary IDs. Example: 1234567890,1234567891

starts_before
string<date-time>

Date in ISO Format without offset (UTC): YYYY-MM-DDTHH:mm:ss.SSSZ

starts_after
string<date-time>

Date in ISO Format without offset (UTC): YYYY-MM-DDTHH:mm:ss.SSSZ

ends_before
string<date-time>

Date in ISO Format without offset (UTC): YYYY-MM-DDTHH:mm:ss.SSSZ

ends_after
string<date-time>

Date in ISO Format without offset (UTC): YYYY-MM-DDTHH:mm:ss.SSSZ

limit
number
default:100

The maximum number of items to return

Required range: 1 <= x <= 500
cursor
string

The cursor returned from the last request, if omitted the first page will be returned

Maximum string length: 512

Response

Success

deals
object[]
required
cursor
string | null
required

The cursor to use for the next request, if empty there are no more items to return